メインコンテンツへスキップ
POST
/
crm
/
extensions
/
calling
/
2026-03
/
transcripts
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/extensions/calling/2026-03/transcripts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": 123,
  "transcriptCreateUtterances": [
    {
      "endTimeMillis": 123,
      "speaker": {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>"
      },
      "startTimeMillis": 123,
      "text": "<string>",
      "languageCode": "<string>"
    }
  ]
}
'
import requests

url = "https://api.hubapi.com/crm/extensions/calling/2026-03/transcripts"

payload = {
"engagementId": 123,
"transcriptCreateUtterances": [
{
"endTimeMillis": 123,
"speaker": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"startTimeMillis": 123,
"text": "<string>",
"languageCode": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagementId: 123,
transcriptCreateUtterances: [
{
endTimeMillis: 123,
speaker: {id: '<string>', name: '<string>', email: '<string>'},
startTimeMillis: 123,
text: '<string>',
languageCode: '<string>'
}
]
})
};

fetch('https://api.hubapi.com/crm/extensions/calling/2026-03/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
engagementId
integer<int64>
必須
transcriptCreateUtterances
object[]
必須

レスポンス

successful operation

id
string
必須
最終更新日 2026年4月10日